#
#	Command & Conquer Red Alert(tm)
#	Copyright 2025 Electronic Arts Inc.
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# $Header:   F:\projects\c&c0\vcs\code\bfile.mav   5.0   11 Nov 1996 09:40:38   JOE_BOSTIC  $
#***************************************************************************
#**   C O N F I D E N T I A L --- W E S T W O O D    S T U D I O S        **
#***************************************************************************
#*                                                                         *
#*                 Project Name : Command & Conquer                        *
#*                                                                         *
#*                    File Name : MAKEFILE                                 *
#*                                                                         *
#*                   Programmer : Joe L. Bostic                            *
#*                                                                         *
#*                   Start Date : March 25, 1993                           *
#*                                                                         *
#*                  Last Update : March 25, 1993   [JLB]                   *
#*                                                                         *
#*-------------------------------------------------------------------------*


# Comment out the following line to disable "include file autodependency".
.AUTODEPEND
#.SWAP

!include	"rules.mak"


##########################################################################

MAPFILES = \

CACHEMAP = \
	BRIEFING.AUD \
	BAR3RED.SHP \
	BAR3BLU.SHP \
	COUNTRYA.SHP \
	COUNTRYE.SHP \
	CREDSA.SHP \
	CREDSU.SHP \
	HISCORE1.SHP \
	HISCORE2.SHP \
	TIME.SHP \
	CLOCK1.AUD \
	COUNTRY4.AUD \
	MAPWIPE2.AUD \
	MAPWIPE5.AUD \
	TONEY10.AUD \
	TONEY4.AUD \
	TONEY7.AUD \
	SFX4.AUD \
	BEEPY6.AUD \
	KEYSTROK.AUD \
	APPEAR1.AUD \
	SCOLD1.AUD \
	COUNTRY1.AUD \
	ALI-TRAN.WSA \
	SOV-TRAN.WSA \
	ALIBACKH.PCX \
	SOVBACKH.PCX \
	BAR3RHR.SHP \
	BAR3BHR.SHP \
	CREDSAHR.SHP \
	CREDSUHR.SHP \
	HISC1-HR.SHP \
	HISC2-HR.SHP \
	TIMEHR.SHP \
	MLTIPLYR.WSA \

LOCALFILES = \
	PROLOG.CPS \
	MAP.AUD \
	TITLE.CPS \
	PALETTE.CPS \
	INTRO.AUD \
	EGOPAL.PAL \
	RULES.INI \
	CREDITS.TXT \
	ALIPAPER.CPS \
	3POINT.FNT \
	8POINT.FNT \
	EDITFNT.FNT \
	CONQUER.ENG \
	DEBUG.ENG \
	LED.FNT \
	SNOW.PAL \
	TEMPERAT.PAL \
	INTERIOR.PAL \
	VCR.FNT \
	HOLE0000.LUT \
	HOLE0001.LUT \
	HOLE0002.LUT \
	HOLE0003.LUT \
	HOLE0004.LUT \
	HOLE0005.LUT \
	HOLE0006.LUT \
	HOLE0007.LUT \
	HOLE0008.LUT \
	HOLE0009.LUT \
	HOLE0010.LUT \
	HOLE0011.LUT \
	HOLE0012.LUT \
	HOLE0013.LUT \
	HOLE0014.LUT \
	HOLE0015.LUT \
	HOLE0016.LUT \
	HOLE0017.LUT \
	HOLE0018.LUT \
	HOLE0019.LUT \
	HOLE0020.LUT \
	HOLE0021.LUT \
	HOLE0022.LUT \
	HOLE0023.LUT \
	HOLE0024.LUT \
	HOLE0025.LUT \
	HOLE0026.LUT \
	HOLE0027.LUT \
	HOLE0028.LUT \
	HOLE0029.LUT \
	HOLE0030.LUT \
	HOLE0031.LUT \
	HOLE0032.LUT \
	HOLE0033.LUT \
	HOLE0034.LUT \
	HOLE0035.LUT \
	HOLE0036.LUT \
	HOLE0037.LUT \
	HOLE0038.LUT \
	HOLE0039.LUT \
	HOLE0040.LUT \
	HOLE0041.LUT \
	HOLE0042.LUT \
	HOLE0043.LUT \
	HOLE0044.LUT \
	HOLE0045.LUT \
	HOLE0046.LUT \
	HOLE0047.LUT \
#	TEMPSCOR.FNT \
#	6POINT.FNT \
#	GRAD6FNT.FNT \
#	SCOREFNT.FNT \


# Files that have counterparts in both high and low resolutions.
# These files will be built into the HIRES.MIX and LORES.MIX files.
HILORES = \
	TRANICON.SHP \
	PIPS.SHP \
	PULSE.SHP \
	ATOMICON.SHP \
	WARPICON.SHP \
	C1.SHP \
	C2.SHP \
	CHAN.SHP \
	DELPHI.SHP \
	E1.SHP \
	E2.SHP \
	E3.SHP \
	E4.SHP \
	E5.SHP \
	E6.SHP \
	E7.SHP \
	EINSTEIN.SHP \
	GNRL.SHP \
	MECH.SHP \
	MEDI.SHP \
	SHOK.SHP \
	SPY.SHP \
	THF.SHP \
	DD-BKGND.SHP \
	DD-BOTM.SHP \
	DD-CRNR.SHP \
	DD-EDGE.SHP \
	DD-LEFT.SHP \
	DD-RIGHT.SHP \
	DD-TOP.SHP \
	12METFNT.FNT \
	GRAD6FNT.FNT \
	HELP.FNT \
	6POINT.FNT \
	TYPE.FNT \
	SCOREFNT.FNT \
	1TNKICON.SHP \
	2TNKICON.SHP \
	3TNKICON.SHP \
	4TNKICON.SHP \
	AFLDICON.SHP \
	AGUNICON.SHP \
	APCICON.SHP \
	APWRICON.SHP \
	ARTYICON.SHP \
	ATEKICON.SHP \
	BADRICON.SHP \
	BARRICON.SHP \
	BRIKICON.SHP \
	BTN-DN.SHP \
	BTN-PL.SHP \
	BTN-ST.SHP \
	BTN-UP.SHP \
	CAICON.SHP \
	CAMICON.SHP \
	CARRICON.SHP \
	CLOCK.SHP \
	CTNKICON.SHP \
	DDICON.SHP \
	DOGICON.SHP \
	DOMEICON.SHP \
	DOMFICON.SHP \
	DTRKICON.SHP \
	E1ICON.SHP \
	E2ICON.SHP \
	E3ICON.SHP \
	E4ICON.SHP \
	E6ICON.SHP \
	E7ICON.SHP \
	FACFICON.SHP \
	FACTICON.SHP \
	FENCICON.SHP \
	FIXICON.SHP \
	FTURICON.SHP \
	GAPICON.SHP \
	GPSSICON.SHP \
	GUNICON.SHP \
	HARVICON.SHP \
	HBOXICON.SHP \
	HELIICON.SHP \
	HINDICON.SHP \
	HPADICON.SHP \
	INFXICON.SHP \
	IRONICON.SHP \
	JEEPICON.SHP \
	KENNICON.SHP \
	LSTICON.SHP \
	MAP.SHP \
	MCVICON.SHP \
	MECHICON.SHP \
	MEDIICON.SHP \
	MGGICON.SHP \
	MIGICON.SHP \
	MNLYICON.SHP \
	MOUSE.SHP \
	MRJICON.SHP \
	MSLOICON.SHP \
	MSUBICON.SHP \
	NATORADR.SHP \
	PBMBICON.SHP \
	PBOXICON.SHP \
	PDOXICON.SHP \
	PINFICON.SHP \
	POWER.SHP \
	POWERBAR.SHP \
	POWRICON.SHP \
	PROCICON.SHP \
	PTICON.SHP \
	QTNKICON.SHP \
	REPAIR.SHP \
	SAMICON.SHP \
	SBAGICON.SHP \
	SELL.SHP \
	SHOKICON.SHP \
	SIDEBAR.SHP \
	SILOICON.SHP \
	SMIGICON.SHP \
	SONRICON.SHP \
	SOVPAPER.CPS \
	SPEFICON.SHP \
	SPENICON.SHP \
	SPYICON.SHP \
	SSICON.SHP \
	STEKICON.SHP \
	STRIP.SHP \
	STRIPDN.SHP \
	STRIPUP.SHP \
	SYRDICON.SHP \
	SYRFICON.SHP \
	TABS.SHP \
	TENTICON.SHP \
	THFICON.SHP \
	TRUKICON.SHP \
	TTNKICON.SHP \
	TSLAICON.SHP \
	U2ICON.SHP \
	USSRRADR.SHP \
	V2RLICON.SHP \
	WEAFICON.SHP \
	WEAPICON.SHP \
	YAKICON.SHP \
	NRADRFRM.SHP \
	URADRFRM.SHP \
	SIDE1NA.SHP \
	SIDE1US.SHP \
	SIDE2NA.SHP \
	SIDE2US.SHP \
	SIDE3NA.SHP \
	SIDE3US.SHP \
	STRIPNA.SHP \
	STRIPUS.SHP \

#	MOEBICON.SHP \

# These helper macros substitute the extension so that
# the appropriate art build rule will be invoked.
xLOHILORES = $(HILORES:.SHP=.LOW)
LOHILORES = $(xLOHILORES:.FNT=.LNT)
xHIHILORES = $(HILORES:.SHP=.HI)
HIHILORES = $(xHIHILORES:.FNT=.HNT)

#
# Files required for hires/Win95 version only
#
# This mix file is cached
#
HIRESFILES = \
	ALIPAPER.PCX \
      	PROLOG.PCX \
	SOVPAPER.PCX \
	AFTR_HI.PCX \
	ALY1.PCX \
	APC_HI.PCX \
	APHI0049.PCX \
	BNHI0020.PCX \
	DCHI0040.PCX \
	FRHI0166.PCX \
	LAB.PCX \
	LANDSBRG.PCX \
	MAHI0107.PCX \
	MIG_HI.PCX \
	MTFACTHI.PCX \
	NEEDLE.PCX \
	SOV2.PCX \
	SPY.PCX \
	STALIN.PCX \
	TENT.PCX \
#	ENG_HI.PCX \


CONQUERFILES = \
	PARABOMB.SHP \
	RADARFRM.SHP \
	ARMOR.SHP \
	FPOWER.SHP \
	SPEED.SHP \
	TQUAKE.SHP \
	H2O_EXP1.SHP \
	H2O_EXP2.SHP \
	H2O_EXP3.SHP \
	FLAK.SHP \
	EBTN-DN.SHP \
	EBTN-UP.SHP \
	ATOMSFX.SHP \
	TWINKLE1.SHP \
	TWINKLE2.SHP \
	TWINKLE3.SHP \
	CHRONBOX.SHP \
	GPSBOX.SHP \
	INVULBOX.SHP \
	PARABOX.SHP \
	SONARBOX.SHP \
	SPUTNIK.SHP \
	SPUTDOOR.SHP \
	ATOMICDN.SHP \
	ATOMICUP.SHP \
	TYPE.FNT \
	120MM.SHP \
	1TNK.SHP \
	2TNK.SHP \
	3TNK.SHP \
	4TNK.SHP \
	50CAL.SHP \
	AFLD.SHP \
	AGUN.SHP \
	APC.SHP \
	APWR.SHP \
	ART-EXP1.SHP \
	ARTY.SHP \
	ATEK.SHP \
	BADR.SHP \
	BARB.SHP \
	BARL.SHP \
	BARR.SHP \
	BIO.SHP \
	BOMB.SHP \
	BOMBLET.SHP \
	BRIK.SHP \
	BRL3.SHP \
	BURN-L.SHP \
	BURN-M.SHP \
	BURN-S.SHP \
	CA.SHP \
	CYCL.SHP \
	DD.SHP \
	DEVIATOR.SHP \
	DOG.SHP \
	DOGBULLT.SHP \
	DOLLAR.SHP \
	DOME.SHP \
	DRAGON.SHP \
	EARTH.SHP \
	ELECTDOG.SHP \
	EMPULSE.SHP \
	FACT.SHP \
	FB1.SHP \
	FB2.SHP \
	FBALL1.SHP \
	FCOM.SHP \
	FENC.SHP \
	FIRE1.SHP \
	FIRE2.SHP \
	FIRE3.SHP \
	FIRE4.SHP \
	FIX.SHP \
	FLAGFLY.SHP \
	FLMSPT.SHP \
	FPLS.SHP \
	FRAG1.SHP \
	FTNK.SHP \
	FTUR.SHP \
	GAP.SHP \
	GUN.SHP \
	GUNFIRE.SHP \
	HARV.SHP \
	HELI.SHP \
	HIND.SHP \
	HOSP.SHP \
	HPAD.SHP \
	INVUN.SHP \
	IRON.SHP \
	JEEP.SHP \
	KENN.SHP \
	LITNING.SHP \
	LROTOR.SHP \
	LST.SHP \
	MCV.SHP \
	MGG.SHP \
	MGUN.SHP \
	MHQ.SHP \
	MIG.SHP \
	MINE.SHP \
	MINIGUN.SHP \
	MINP.SHP \
	MINV.SHP \
	MISS.SHP \
	MISSILE.SHP \
	MISSILE2.SHP \
	MLRS.SHP \
	MNLY.SHP \
	MRJ.SHP \
	NAPALM1.SHP \
	NAPALM2.SHP \
	NAPALM3.SHP \
	ORCA.SHP \
	PARACH.SHP \
	PATRIOT.SHP \
	PBOX.SHP \
	PDOX.SHP \
	PIFF.SHP \
	PIFFPIFF.SHP \
	POWR.SHP \
	PROC.SHP \
	PT.SHP \
	RAPID.SHP \
	RROTOR.SHP \
	SAM.SHP \
	SAMFIRE.SHP \
	SBAG.SHP \
	SCRATE.SHP \
	SELECT.SHP \
	SHADOW.SHP \
	SILO.SHP \
	SMIG.SHP \
	SMOKEY.SHP \
	SMOKE_M.SHP \
	SMOKLAND.SHP \
	SPEN.SHP \
	SS.SHP \
	SSAM.SHP \
	STEALTH2.SHP \
	STEK.SHP \
	STNK.SHP \
	SYRD.SHP \
	TENT.SHP \
	TRAN.SHP \
	TRANS.ICN \
	TRUK.SHP \
	TSLA.SHP \
	TURR.SHP \
	U2.SHP \
	V19.SHP \
	V2.SHP \
	V2RL.SHP \
	VEH-HIT1.SHP \
	VEH-HIT2.SHP \
	VEH-HIT3.SHP \
	WAKE.SHP \
	WCRATE.SHP \
	WWCRATE.SHP \
	WEAP.SHP \
	WEAP2.SHP \
	WOOD.SHP \
	YAK.SHP \
	AFLDMAKE.SHP \
	AGUNMAKE.SHP \
	APWRMAKE.SHP \
	ATEKMAKE.SHP \
	BARRMAKE.SHP \
	BIOMAKE.SHP \
	DOMEMAKE.SHP \
	FACTMAKE.SHP \
	FIXMAKE.SHP \
	FTURMAKE.SHP \
	GAPMAKE.SHP \
	GUNMAKE.SHP \
	HOSPMAKE.SHP \
	HPADMAKE.SHP \
	IRONMAKE.SHP \
	KENNMAKE.SHP \
	MINPMAKE.SHP \
	MINVMAKE.SHP \
	PBOXMAKE.SHP \
	POWRMAKE.SHP \
	PDOXMAKE.SHP \
	PROCMAKE.SHP \
	PUMPMAKE.SHP \
	SAMMAKE.SHP \
	SILOMAKE.SHP \
	SPENMAKE.SHP \
	STEKMAKE.SHP \
	SYRDMAKE.SHP \
	TENTMAKE.SHP \
	TSLAMAKE.SHP \
	WEAPMAKE.SHP \

GENERALMAPFILES = \
	MISSIONS.PKT \
	TUTORIAL.INI \
	SCA01EA.INI \
	SCA02EA.INI \
	SCA03EA.INI \
	SCA04EA.INI \
        SCG01EA.INI \     
        SCG40EA.INI \     
        SCG41EA.INI \     
        SCG42EA.INI \     
        SCG43EA.INI \     
        SCG44EA.INI \     
        SCG45EA.INI \     
        SCG46EA.INI \     
        SCG47EA.INI \     
        SCG48EA.INI \     
        SCU40EA.INI \     
        SCU41EA.INI \     
        SCU42EA.INI \     
        SCU43EA.INI \     
        SCU44EA.INI \     
        SCU45EA.INI \     
        SCU46EA.INI \     
        SCU47EA.INI \     
        SCU48EA.INI \     
	SCU01EA.INI \     
	SCM01EA.INI \      
	SCM02EA.INI \ 
	SCM03EA.INI \ 
	SCM04EA.INI \ 
	SCM05EA.INI \ 
	SCM06EA.INI \ 
	SCM07EA.INI \ 
	SCM08EA.INI \ 
	SCM09EA.INI \ 
	SCM10EA.INI \ 
	SCM11EA.INI \ 
	SCM12EA.INI \ 
	SCM13EA.INI \ 
	SCM14EA.INI \ 
	SCM15EA.INI \ 
	SCM16EA.INI \ 
	SCM17EA.INI \ 
	SCM18EA.INI \ 
	SCM19EA.INI \ 
	SCM20EA.INI \ 
	SCM21EA.INI \ 
	SCM22EA.INI \ 
	SCM23EA.INI \ 
	SCM24EA.INI \ 
    	SCM25EA.INI \
	SCM26EA.INI \
	SCM27EA.INI \
	SCM28EA.INI \
	SCM29EA.INI \
	SCM30EA.INI \
	SCM31EA.INI \ 
	SCM32EA.INI \ 
	SCM33EA.INI \
	SCM34EA.INI \
     	SCM35EA.INI \
	SCM36EA.INI \
	SCM37EA.INI \
	SCM38EA.INI \
	SCM39EA.INI \
	SCM40EA.INI \
	SCM41EA.INI \
	SCM42EA.INI \
	SCM43EA.INI \
	SCM44EA.INI \
	SCM45EA.INI \
	SCM46EA.INI \
	SCM47EA.INI \
	SCM48EA.INI \
	SCM49EA.INI \
	SCM50EA.INI \
	SCM51EA.INI \
	SCM52EA.INI \
	SCM53EA.INI \
	SCM54EA.INI \
	SCM55EA.INI \
	SCM56EA.INI \
	SCM57EA.INI \
	SCM58EA.INI \
	SCM59EA.INI \
	SCM60EA.INI \
	SCM61EA.INI \
	SCM62EA.INI \
	SCM63EA.INI \
	SCM64EA.INI \
	SCM65EA.INI \
	SCM66EA.INI \
	SCM67EA.INI \
	SCM68EA.INI \
	SCM69EA.INI \
	SCM70EA.INI \
	SCM71EA.INI \
	SCM72EA.INI \
	SCM73EA.INI \
	SCM74EA.INI \
	SCM75EA.INI \
	SCM76EA.INI \
	SCM77EA.INI \
	SCM78EA.INI \
	SCM79EA.INI \
	SCM80EA.INI \
	SCM81EA.INI \
	SCM82EA.INI \
	SCM83EA.INI \
	SCM84EA.INI \
	SCM85EA.INI \
	SCM86EA.INI \
	SCM87EA.INI \
	SCM88EA.INI \
	SCM89EA.INI \	
	SCM90EA.INI \
	SCM91EA.INI \
	SCM92EA.INI \
	SCM93EA.INI \
	SCM94EA.INI \
	SCM95EA.INI \
	SCM96EA.INI \
	SCM97EA.INI \
	SCM98EA.INI \
	SCM99EA.INI \
	SCM100EA.INI \
	SCM101EA.INI \
	SCM102EA.INI \
	SCM103EA.INI \
	SCM104EA.INI \
	SCM105EA.INI \
	SCM106EA.INI \
	SCM107EA.INI \
	SCM108EA.INI \
	SCM109EA.INI \
	SCM110EA.INI \
	SCM111EA.INI \
	SCM112EA.INI \
	SCM113EA.INI \
	SCM114EA.INI \
	SCM115EA.INI \
	SCM116EA.INI \
	SCM117EA.INI \
	SCM118EA.INI \
 	SCM119EA.INI \    
	SCM120EA.INI \     
	SCM121EA.INI \    
	SCM122EA.INI \     
	SCM123EA.INI \    
	SCM124EA.INI \    
	SCM125EA.INI \    
	SCM126EA.INI \    
	SCM127EA.INI \    
	SCM128EA.INI \    
	SCM129EA.INI \ 
	SCM130EA.INI \   
	SCMD0EA.INI \
	SCMD1EA.INI \
	SCMD2EA.INI \
	SCMD3EA.INI \
	SCMD4EA.INI \
	SCMD5EA.INI \
	SCMD6EA.INI \
	SCMD7EA.INI \
	SCMD8EA.INI \
	SCMD9EA.INI \
	SCME0EA.INI \
	SCME1EA.INI \
	SCME2EA.INI \
	SCME3EA.INI \
	SCME4EA.INI \
	SCME5EA.INI \
	SCME6EA.INI \
	SCME7EA.INI \
	SCME8EA.INI \
	SCME9EA.INI \
	SCMF0EA.INI \
	SCMF1EA.INI \
	SCMF2EA.INI \
	SCMF3EA.INI \
	SCMF4EA.INI \
	SCMF5EA.INI \
	SCMF6EA.INI \
	SCMF7EA.INI \
	SCMF8EA.INI \
	SCMF9EA.INI \
	SCMG0EA.INI \
	SCMG1EA.INI \
	SCMG2EA.INI \
	SCMG3EA.INI \
	SCMG4EA.INI \
	SCMG5EA.INI \
	SCMG6EA.INI \
	SCMG7EA.INI \
	SCMG8EA.INI \
	SCMG9EA.INI \
	SCMH0EA.INI \
	SCMH1EA.INI \
	SCMH2EA.INI \
	SCMH3EA.INI \
	SCMH4EA.INI \
	SCMH5EA.INI \
	SCMH6EA.INI \
	SCMH7EA.INI \
	SCMH8EA.INI \
	SCMH9EA.INI \
	SCMI0EA.INI \
	SCMI1EA.INI \
	SCMI2EA.INI \
	SCMI3EA.INI \
	SCMI4EA.INI \
	SCMI5EA.INI \
	SCMI6EA.INI \
	SCMI7EA.INI \
	SCMI8EA.INI \
	SCMI9EA.INI \
	SCMJ0EA.INI \
	SCMJ1EA.INI \
	SCMJ2EA.INI \
	SCMJ3EA.INI \
	SCMJ4EA.INI \
	SCMJ5EA.INI \
	SCMJ6EA.INI \
	SCMJ7EA.INI \
	SCMJ8EA.INI \
	SCMJ9EA.INI \
	SCMK0EA.INI \
	SCMK1EA.INI \
	SCMK2EA.INI \
	SCMK3EA.INI \
	SCMK4EA.INI \
	SCMK5EA.INI \
	SCMK6EA.INI \
	SCMK7EA.INI \
	SCMK8EA.INI \
	SCMK9EA.INI \
	SCML0EA.INI \
	SCML1EA.INI \
	SCML2EA.INI \
	SCML3EA.INI \
	SCML4EA.INI \
	SCML5EA.INI \
	SCML6EA.INI \
	SCML7EA.INI \
	SCML8EA.INI \
	SCML9EA.INI \
	SCMM0EA.INI \
	SCMM1EA.INI \
	SCMM2EA.INI \
	SCMM3EA.INI \
	SCMM4EA.INI \
	SCMM5EA.INI \
	SCMM6EA.INI \
	SCMM7EA.INI \
	SCMM8EA.INI \
	SCMM9EA.INI \
   
NETMAPFILES = \

# Files that aren't cached.
GENERALFILES = \
	AFTR_LO.CPS \
	ALY1-LO.CPS \
	APC_LO.CPS \
	APLO0049.CPS \
	BNLO0020.CPS \
	DCLO0040.CPS \
	FRLO0166.CPS \
	LAB-LO.CPS \
	LANDS-LO.CPS \
	MALO0107.CPS \
	MIG_LO.CPS \
	MTFACTLO.CPS \
	NEEDL-LO.CPS \
	SOV2-LO.CPS \
	SPY-LO.CPS \
	STALN-LO.CPS \
	TENT-LO.CPS \
	TITLE.CPS \
	PPAPER.CPS \
	MSAA.WSA \
	MSAB.WSA \
	MSAC.WSA \
	MSAD.WSA \
	MSAE.WSA \
	MSAF.WSA \
	MSAG.WSA \
	MSAH.WSA \
	MSAI.WSA \
	MSAJ.WSA \
	MSAK.WSA \
	MSAL.WSA \
	MSAM.WSA \
	MSAN.WSA \
	MSSA.WSA \
	MSSB.WSA \
	MSSC.WSA \
	MSSD.WSA \
	MSSE.WSA \
	MSSF.WSA \
	MSSG.WSA \
	MSSH.WSA \
	MSSI.WSA \
	MSSJ.WSA \
	MSSK.WSA \
	MSSL.WSA \
	MSSM.WSA \
	MSSN.WSA \

INTERIORFILES = \
	BOXES01.INT \
	BOXES02.INT \
	BOXES03.INT \
	BOXES04.INT \
	BOXES05.INT \
	BOXES06.INT \
	BOXES07.INT \
	BOXES08.INT \
	BOXES09.INT \
	XTRA0001.INT \
	XTRA0002.INT \
	XTRA0003.INT \
	XTRA0004.INT \
	XTRA0005.INT \
	XTRA0006.INT \
	XTRA0007.INT \
	XTRA0008.INT \
	XTRA0009.INT \
	XTRA0010.INT \
	XTRA0011.INT \
	XTRA0012.INT \
	XTRA0013.INT \
	XTRA0014.INT \
	XTRA0015.INT \
	XTRA0016.INT \
	CLEAR1.INT \
	MOVEFLSH.INT \
	ARRO0001.INT \
	ARRO0002.INT \
	ARRO0003.INT \
	ARRO0004.INT \
	ARRO0005.INT \
	ARRO0006.INT \
	ARRO0007.INT \
	ARRO0008.INT \
	ARRO0009.INT \
	ARRO0010.INT \
	ARRO0011.INT \
	ARRO0012.INT \
	ARRO0013.INT \
	ARRO0014.INT \
	ARRO0015.INT \
	FLOR0001.INT \
	FLOR0002.INT \
	FLOR0003.INT \
	FLOR0004.INT \
	FLOR0005.INT \
	FLOR0006.INT \
	FLOR0007.INT \
	GFLR0001.INT \
	GFLR0002.INT \
	GFLR0003.INT \
	GFLR0004.INT \
	GFLR0005.INT \
	GSTR0001.INT \
	GSTR0002.INT \
	GSTR0003.INT \
	GSTR0004.INT \
	GSTR0005.INT \
	GSTR0006.INT \
	GSTR0007.INT \
	GSTR0008.INT \
	GSTR0009.INT \
	GSTR0010.INT \
	GSTR0011.INT \
	LWAL0001.INT \
	LWAL0002.INT \
	LWAL0003.INT \
	LWAL0004.INT \
	LWAL0005.INT \
	LWAL0006.INT \
	LWAL0007.INT \
	LWAL0008.INT \
	LWAL0009.INT \
	LWAL0010.INT \
	LWAL0011.INT \
	LWAL0012.INT \
	LWAL0013.INT \
	LWAL0014.INT \
	LWAL0015.INT \
	LWAL0016.INT \
	LWAL0017.INT \
	LWAL0018.INT \
	LWAL0019.INT \
	LWAL0020.INT \
	LWAL0021.INT \
	LWAL0022.INT \
	LWAL0023.INT \
	LWAL0024.INT \
	LWAL0025.INT \
	LWAL0026.INT \
	LWAL0027.INT \
	STRP0001.INT \
	STRP0002.INT \
	STRP0003.INT \
	STRP0004.INT \
	STRP0005.INT \
	STRP0006.INT \
	STRP0007.INT \
	STRP0008.INT \
	STRP0009.INT \
	STRP0010.INT \
	STRP0011.INT \
	WALL0001.INT \
	WALL0002.INT \
	WALL0003.INT \
	WALL0004.INT \
	WALL0005.INT \
	WALL0006.INT \
	WALL0007.INT \
	WALL0008.INT \
	WALL0009.INT \
	WALL0010.INT \
	WALL0011.INT \
	WALL0012.INT \
	WALL0013.INT \
	WALL0014.INT \
	WALL0015.INT \
	WALL0016.INT \
	WALL0017.INT \
	WALL0018.INT \
	WALL0019.INT \
	WALL0020.INT \
	WALL0021.INT \
	WALL0022.INT \
	WALL0023.INT \
	WALL0024.INT \
	WALL0025.INT \
	WALL0026.INT \
	WALL0027.INT \
	WALL0028.INT \
	WALL0029.INT \
	WALL0030.INT \
	WALL0031.INT \
	WALL0032.INT \
	WALL0033.INT \
	WALL0034.INT \
	WALL0035.INT \
	WALL0036.INT \
	WALL0037.INT \
	WALL0038.INT \
	WALL0039.INT \
	WALL0040.INT \
	WALL0041.INT \
	WALL0042.INT \
	WALL0043.INT \
	WALL0044.INT \
	WALL0045.INT \
	WALL0046.INT \
	WALL0047.INT \
	WALL0048.INT \
	WALL0049.INT \

# Both the temperate and snow sets have identical template entries.
TEMPERATEFILES = \
	MINE.TEM \
	ICE01.TEM \
	ICE02.TEM \
	ICE03.TEM \
	ICE04.TEM \
	ICE05.TEM \
	MOVEFLSH.TEM \
	BR1X.TEM \
	BR2X.TEM \
	BRIDGE1X.TEM \
	BRIDGE2X.TEM \
	BRIDGE1H.TEM \
	BRIDGE2H.TEM \
	F01.TEM \
	F02.TEM \
	F03.TEM \
	F04.TEM \
	F05.TEM \
	F06.TEM \
	ELECTRO.TEM \
	B1.TEM \
	B2.TEM \
	B3.TEM \
	BIB1.TEM \
	BIB2.TEM \
	BIB3.TEM \
	BR1A.TEM \
	BR1B.TEM \
	BR1C.TEM \
	BR2A.TEM \
	BR2B.TEM \
	BR2C.TEM \
	BR3A.TEM \
	BR3B.TEM \
	BR3C.TEM \
	BR3D.TEM \
	BR3E.TEM \
	BR3F.TEM \
	BRIDGE1.TEM \
	BRIDGE1D.TEM \
	BRIDGE2.TEM \
	BRIDGE2D.TEM \
	CLEAR1.TEM \
	CORPSE1.TEM \
	CORPSE2.TEM \
	CORPSE3.TEM \
	CR1.TEM \
	CR2.TEM \
	CR3.TEM \
	CR4.TEM \
	CR5.TEM \
	CR6.TEM \
	D01.TEM \
	D02.TEM \
	D03.TEM \
	D04.TEM \
	D05.TEM \
	D06.TEM \
	D07.TEM \
	D08.TEM \
	D09.TEM \
	D10.TEM \
	D11.TEM \
	D12.TEM \
	D13.TEM \
	D14.TEM \
	D15.TEM \
	D16.TEM \
	D17.TEM \
	D18.TEM \
	D19.TEM \
	D20.TEM \
	D21.TEM \
	D22.TEM \
	D23.TEM \
	D24.TEM \
	D25.TEM \
	D26.TEM \
	D27.TEM \
	D28.TEM \
	D29.TEM \
	D30.TEM \
	D31.TEM \
	D32.TEM \
	D33.TEM \
	D34.TEM \
	D35.TEM \
	D36.TEM \
	D37.TEM \
	D38.TEM \
	D39.TEM \
	D40.TEM \
	D41.TEM \
	D42.TEM \
	D43.TEM \
	D44.TEM \
	D45.TEM \
	FALLS1.TEM \
	FALLS1A.TEM \
	FALLS2.TEM \
	FALLS2A.TEM \
	FORD1.TEM \
	FORD2.TEM \
	GEM01.TEM \
	GEM02.TEM \
	GEM03.TEM \
	GEM04.TEM \
	GOLD01.TEM \
	GOLD02.TEM \
	GOLD03.TEM \
	GOLD04.TEM \
	HBOX.TEM \
	MSLOMAKE.TEM \
	HBOXMAKE.TEM \
	MSLO.TEM \
	P01.TEM \
	P02.TEM \
	P03.TEM \
	P04.TEM \
	P07.TEM \
	P08.TEM \
	P13.TEM \
	P14.TEM \
	RC01.TEM \
	RC02.TEM \
	RC03.TEM \
	RC04.TEM \
	RF01.TEM \
	RF02.TEM \
	RF03.TEM \
	RF04.TEM \
	RF05.TEM \
	RF06.TEM \
	RF07.TEM \
	RF08.TEM \
	RF09.TEM \
	RF10.TEM \
	RF11.TEM \
	RV01.TEM \
	RV02.TEM \
	RV03.TEM \
	RV04.TEM \
	RV05.TEM \
	RV06.TEM \
	RV07.TEM \
	RV08.TEM \
	RV09.TEM \
	RV10.TEM \
	RV11.TEM \
	RV12.TEM \
	RV13.TEM \
	RV14.TEM \
	RV15.TEM \
	S01.TEM \
	S02.TEM \
	S03.TEM \
	S04.TEM \
	S05.TEM \
	S06.TEM \
	S07.TEM \
	S08.TEM \
	S09.TEM \
	S10.TEM \
	S11.TEM \
	S12.TEM \
	S13.TEM \
	S14.TEM \
	S15.TEM \
	S16.TEM \
	S17.TEM \
	S18.TEM \
	S19.TEM \
	S20.TEM \
	S21.TEM \
	S22.TEM \
	S23.TEM \
	S24.TEM \
	S25.TEM \
	S26.TEM \
	S27.TEM \
	S28.TEM \
	S29.TEM \
	S30.TEM \
	S31.TEM \
	S32.TEM \
	S33.TEM \
	S34.TEM \
	S35.TEM \
	S36.TEM \
	S37.TEM \
	S38.TEM \
	SC1.TEM \
	SC2.TEM \
	SC3.TEM \
	SC4.TEM \
	SC5.TEM \
	SC6.TEM \
	SH01.TEM \
	SH02.TEM \
	SH03.TEM \
	SH04.TEM \
	SH05.TEM \
	SH06.TEM \
	SH07.TEM \
	SH08.TEM \
	SH09.TEM \
	SH10.TEM \
	SH11.TEM \
	SH12.TEM \
	SH13.TEM \
	SH14.TEM \
	SH15.TEM \
	SH16.TEM \
	SH17.TEM \
	SH18.TEM \
	SH19.TEM \
	SH20.TEM \
	SH21.TEM \
	SH22.TEM \
	SH23.TEM \
	SH24.TEM \
	SH25.TEM \
	SH26.TEM \
	SH27.TEM \
	SH28.TEM \
	SH29.TEM \
	SH30.TEM \
	SH31.TEM \
	SH32.TEM \
	SH33.TEM \
	SH34.TEM \
	SH35.TEM \
	SH36.TEM \
	SH37.TEM \
	SH38.TEM \
	SH39.TEM \
	SH40.TEM \
	SH41.TEM \
	SH42.TEM \
	SH43.TEM \
	SH44.TEM \
	SH45.TEM \
	SH46.TEM \
	SH47.TEM \
	SH48.TEM \
	SH49.TEM \
	SH50.TEM \
	SH51.TEM \
	SH52.TEM \
	SH53.TEM \
	SH54.TEM \
	SH55.TEM \
	SH56.TEM \
	T01.TEM \
	T02.TEM \
	T03.TEM \
	T05.TEM \
	T06.TEM \
	T07.TEM \
	T08.TEM \
	T10.TEM \
	T11.TEM \
	T12.TEM \
	T13.TEM \
	T14.TEM \
	T15.TEM \
	T16.TEM \
	T17.TEM \
	TC01.TEM \
	TC02.TEM \
	TC03.TEM \
	TC04.TEM \
	TC05.TEM \
	V01.TEM \
	V02.TEM \
	V03.TEM \
	V04.TEM \
	V05.TEM \
	V06.TEM \
	V07.TEM \
	V08.TEM \
	V09.TEM \
	V10.TEM \
	V11.TEM \
	V12.TEM \
	V13.TEM \
	V14.TEM \
	V15.TEM \
	V16.TEM \
	V17.TEM \
	V18.TEM \
	W1.TEM \
	W2.TEM \
	WC01.TEM \
	WC02.TEM \
	WC03.TEM \
	WC04.TEM \
	WC05.TEM \
	WC06.TEM \
	WC07.TEM \
	WC08.TEM \
	WC09.TEM \
	WC10.TEM \
	WC11.TEM \
	WC12.TEM \
	WC13.TEM \
	WC14.TEM \
	WC15.TEM \
	WC16.TEM \
	WC17.TEM \
	WC18.TEM \
	WC19.TEM \
	WC20.TEM \
	WC21.TEM \
	WC22.TEM \
	WC23.TEM \
	WC24.TEM \
	WC25.TEM \
	WC26.TEM \
	WC27.TEM \
	WC28.TEM \
	WC29.TEM \
	WC30.TEM \
	WC31.TEM \
	WC32.TEM \
	WC33.TEM \
	WC34.TEM \
	WC35.TEM \
	WC36.TEM \
	WC37.TEM \
	WC38.TEM \

# Every temperate theater terrain file has a snow theater counterpart.
SNOWFILES = $(TEMPERATEFILES:.TEM=.SNO)

# Sound effects (Juvenile or Adult)
SFX = \

# Generic wave files (never changes).
WAVFILES = \
	AACANON3.AUD \
	BEEPSLCT.AUD \
	BLEEP11.AUD \
	BLEEP12.AUD \
	BLEEP13.AUD \
	BLEEP17.AUD \
	BLEEP5.AUD \
	BLEEP6.AUD \
	BLEEP9.AUD \
	BOMBIT1.AUD \
	BUILD5.AUD \
	BUZZY1.AUD \       
	CANNON1.AUD \
	CANNON2.AUD \
	CASHDN1.AUD \
	CASHTURN.AUD \
	CASHUP1.AUD \
	CHRONO2.AUD \
	CHROTNK1.AUD \
	CHUTE1.AUD \
	CMON1.AUD \
	CRMBLE2.AUD \
	DEDMAN1.AUD \
	DEDMAN10.AUD \
	DEDMAN2.AUD \
	DEDMAN3.AUD \
	DEDMAN4.AUD \
	DEDMAN5.AUD \
	DEDMAN6.AUD \
	DEDMAN7.AUD \
	DEDMAN8.AUD \
	DOGG5P.AUD \
	DOGW3PX.AUD \
	DOGW5.AUD \
	DOGW6.AUD \
	DOGW7.AUD \
	DOGY1.AUD \
	EAFFIRM1.AUD \
	EENGIN1.AUD \
	EINAH1.AUD \
	EINOK1.AUD \
	EINYES1.AUD \
	EMOVOUT1.AUD \
	EYESSIR1.AUD \
	FIREBL3.AUD \
	FIRETRT1.AUD \
	FIXIT1.AUD \
	GIRLOKAY.AUD \
	GIRLYEAH.AUD \
	GOTIT1.AUD \
	GRENADE1.AUD \
	GUN11.AUD \
	GUN13.AUD \
	GUN27.AUD \
	GUN5.AUD \
	GUYOKAY1.AUD \
	GUYYEAH1.AUD \
	H2OBOMB2.AUD \
	HEAL2.AUD \
	HYDROD1.AUD \
	INVUL2.AUD \
	IRONCUR9.AUD \
	JBURN1.AUD \
	JCHRGE1.AUD \
	JCRISP1.AUD \
	JDANCE1.AUD \
	JJUICE1.AUD \
	JJUMP1.AUD \
	JLIGHT1.AUD \
	JPOWER1.AUD \
	JSHOCK1.AUD \
	JYES1.AUD \
	KABOOM1.AUD \
	KABOOM12.AUD \
	KABOOM15.AUD \
	KABOOM22.AUD \
	KABOOM25.AUD \
	KABOOM30.AUD \
	KEEPEM1.AUD \
	LAUGH1.AUD \
	LEFTY1.AUD \
	MADCHRG2.AUD \
	MADEXPLO.AUD \
	MAFFIRM1.AUD \
	MBOSS1.AUD \
	MHEAR1.AUD \
	MHOTDIG1.AUD \
	MHOWDY1.AUD \
	MHUH1.AUD \
	MGUNINF1.AUD \
	MINE1.AUD \
	MINEBLO1.AUD \
	MINELAY1.AUD \
	MISSILE1.AUD \
	MISSILE6.AUD \
	MISSILE7.AUD \
	MLAFF1.AUD \
	MMOVOUT1.AUD \
	MRESPON1.AUD \
	MRISE1.AUD \
	MWRENCH1.AUD \
	MYEEHAW1.AUD \
	MYES1.AUD \
	MYESSIR1.AUD \
	ONIT1.AUD \
	PILLBOX1.AUD \
	PLACBLDG.AUD \
	RABEEP1.AUD \
	RADARDN1.AUD \
	RADARON2.AUD \
	RAMENU1.AUD \
	ROKROLL1.AUD \
	SAFFIRM1.AUD \
	SANDBAG2.AUD \
	SCOLDY1.AUD \
	SCOMND1.AUD \
	SHKTROP1.AUD \
	SILENCER.AUD \
	SINDEED1.AUD \
	SKING1.AUD \
	SMOUT1.AUD \
	SOKAY1.AUD \
	SONPULSE.AUD \
	SONWAY1.AUD \
	SPLASH9.AUD \
	SQUISHY2.AUD \
	SUBSHOW1.AUD \
	SWHAT1.AUD \
	SYEAH1.AUD \
	SYESSIR1.AUD \
	TANDETH1.AUD \
	TANK5.AUD \
	TANK6.AUD \
	TESLA1.AUD \
	TORPEDO1.AUD \
	TSLACHG2.AUD \
	TUFFGUY1.AUD \
	TURRET1.AUD \
	WALLKIL2.AUD \
	YEAH1.AUD \
	YES1.AUD \
	YO1.AUD \

# Vehicle responses
RESPONSE1 = \
	ACKNO.AUD \
	AFFIRM1.AUD \
	AWAIT1.AUD \
	REPORT1.AUD \
	VEHIC1.AUD \
	YESSIR1.AUD \

# Infantry responses
RESPONSE2 = \
	ACKNO.AUD \
	AFFIRM1.AUD \
	AWAIT1.AUD \
	NOPROB.AUD \
	OVEROUT.AUD \
	READY.AUD \
	REPORT1.AUD \
	RITAWAY.AUD \
	ROGER.AUD \
	UGOTIT.AUD \
	YESSIR1.AUD \

#TSCOREFILES = \
#	cps\record.bin \
#	WIN1.AUD \
#	MAP1.AUD \

VARFILES = \

SCOREFILES = \
	CREDITS.AUD  \
	AWAIT.AUD    \
	BIGF226M.AUD \
	CRUS226M.AUD \
	DENSE_R.AUD  \
	FAC1226M.AUD \
	FAC2226M.AUD \
	FOGGER1A.AUD \
	HELL226M.AUD \
	MUD1A.AUD \
	RADIO2.AUD \
	ROLLOUT.AUD \
	RUN1226M.AUD \
	SCORE.AUD \
	SMSH226M.AUD \
	SNAKE.AUD \
	TERMINAT.AUD \
	TREN226M.AUD \
	TWIN.AUD \
	VECTOR1A.AUD \
	WORK226M.AUD \
	2ND_HAND.AUD \   
	ARAZIOD.AUD \   
	BACKSTAB.AUD \
	CHAOS2.AUD \ 
	SHUT_IT.AUD \   
	TWINMIX1.AUD \   
	UNDER3.AUD \   
	VR2.AUD \
	BOG.AUD \
	FLOAT_V2.AUD \
	GLOOM.AUD \
	GRNDWIRE.AUD \
	RPT.AUD \
	SEARCH.AUD \
	TRACTION.AUD \
	WASTELND.AUD \

SPEECHFILES = \
	STRCKIL1.AUD \
	NOPOWR1.AUD \
	SAVE1.AUD \
	LOAD1.AUD \
	10MINR.AUD \
	1MINR.AUD \
	1OBJMET1.AUD \
	20MINR.AUD \
	2MINR.AUD \
	2OBJMET1.AUD \
	30MINR.AUD \
	3MINR.AUD \
	3OBJMET1.AUD \
	40MINR.AUD \
	4MINR.AUD \
	5MINR.AUD \
	AAPPRO1.AUD \
	AARIVE1.AUD \
	AARIVE1.AUD \
	AARRIVE1.AUD \
	AARRIVN1.AUD \
	AARRIVS1.AUD \
	AARRIVW1.AUD \
	AAVAIL1.AUD \
	ABLDGIN1.AUD \
	AFALLEN1.AUD \
	ALAUNCH1.AUD \
	APREP1.AUD \
	AREADY1.AUD \
	ARMORUP1.AUD \
	ASELECT1.AUD \
	ATLNCH1.AUD \
	ATPREP1.AUD \
	AUNITL1.AUD \
	BASEATK1.AUD \
	BCT1.AUD \
	BLDGINF1.AUD \
	BLDGPRG1.AUD \
	CANCLD1.AUD \
	CHROCHR1.AUD \
	CHRORDY1.AUD \
	CHROYES1.AUD \
	CMDCNTR1.AUD \
	CNTLDED1.AUD \
	COMNDOF1.AUD \
	COMNDOR1.AUD \
	CONSCMP1.AUD \
	CONVLST1.AUD \
	CONVYAP1.AUD \
	CREDIT1.AUD \
	ENMYAPP1.AUD \
	FIREPO1.AUD \
	FLARE1.AUD \
	FLAREE1.AUD \
	FLAREN1.AUD \
	FLARES1.AUD \
	FLAREW1.AUD \
	IRONCHG1.AUD \
	IRONRDY1.AUD \
	KOSYFRE1.AUD \
	KOSYRES1.AUD \
	LOPOWER1.AUD \
	MERCF1.AUD \
	MERCR1.AUD \
	MISNLST1.AUD \
	MISNWON1.AUD \
	MTIMEIN1.AUD \
	NAVYLST1.AUD \
	NEWOPT1.AUD \
	NOBUILD1.AUD \
	NODEPLY1.AUD \
	NOFUNDS1.AUD \
	NOFUNDS1.AUD \
	OBJMET1.AUD \
	OBJNMET1.AUD \
	OBJNRCH1.AUD \
	OBJRCH1.AUD \
	ONHOLD1.AUD \
	OPTERM1.AUD \
	PRIBLDG1.AUD \
	PROGRES1.AUD \
	PULSE1.AUD \
	REINFOR1.AUD \
	REPAIR1.AUD \
	REPAIR1.AUD \
	SATLNCH1.AUD \
	SILOND1.AUD \
	SLCTTGT1.AUD \
	SOVEFAL1.AUD \
	SOVEMP1.AUD \
	SOVFAPP1.AUD \
	SOVFORC1.AUD \
	SOVREIN1.AUD \
	SPYPLN1.AUD \
	STRUCAP1.AUD \
	STRUSLD1.AUD \
	TANYAF1.AUD \
	TANYAR1.AUD \
	TARGFRE1.AUD \
	TARGRES1.AUD \
	TIMERGO1.AUD \
	TIMERNO1.AUD \
	TRAIN1.AUD \
	UNITFUL1.AUD \
	UNITLST1.AUD \
	UNITRDY1.AUD \
	UNITREP1.AUD \
	UNITSLD1.AUD \
	UNITSPD1.AUD \
	XPLOPLC1.AUD \
#	ABLDGC1.AUD \
#	SOVBLDG1.AUD \
#	SOVSTRC1.AUD \
#	SOVUNTD1.AUD \
#	AUNITD1.AUD \
#	ASTRUCD1.AUD \

#ALLIESVQ = \
DUMMYVQ = \
	AAGUN.VQA \
	AFTRMATH.VQA \
	ALLY1.VQA \
	ALLY10.VQA \
	ALLY10B.VQA \
	ALLY11.VQA \
	ALLY12.VQA \
	ALLY14.VQA \
	ALLY2.VQA \
	ALLY4.VQA \
	ALLY5.VQA \
	ALLY6.VQA \
	ALLY8.VQA \
	ALLY9.VQA \
	ALLYEND.VQA \
	ALLYMORF.VQA \
	APCESCPE.VQA \
	ASSESS.VQA \
	BATTLE.VQA \
	1BINOC.VQA \
	BMAP.VQA \
	BRDGTILT.VQA \
	CRONTEST.VQA \
	CRONFAIL.VQA \
	DESTROYR.VQA \
	DUD.VQA \
	ELEVATOR.VQA \
	FLARE.VQA \
	FROZEN.VQA \
	GRVESTNE.VQA \
	LANDING.VQA \
	MASASSLT.VQA \
	MCV.VQA \
	MCV_LAND.VQA \
	MONTPASS.VQA \
	OILDRUM.VQA \
	OVERRUN.VQA \
	PROLOG.VQA \
	REDINTRO.VQA \
	SHIPSINK.VQA \
	SHORBOM1.VQA \
	SHORBOM2.VQA \
	SHORBOMB.VQA \
	SNOWBOMB.VQA \
	SOVIET1.VQA \
	SOVTSTAR.VQA \
	SPY.VQA \
	TANYA1.VQA \
	TANYA2.VQA \
	TOOFAR.VQA \
	TRINITY.VQA \
#	TRAILER.VQA \

SOVIETVQ = \
       	AAGUN.VQA \
	CRONFAIL.VQA \
	AIRFIELD.VQA \
	ALLY1.VQA \
	ALLYMORF.VQA \
	AVERTED.VQA \
	BEACHEAD.VQA \
	BMAP.VQA \
	BOMBRUN.VQA \
	COUNTDWN.VQA \
	DOUBLE.VQA \
	DPTHCHRG.VQA \
	EXECUTE.VQA \
	FLARE.VQA \
	LANDING.VQA \
	MCVBRDGE.VQA \
	MIG.VQA \
	MOVINGIN.VQA \
	MTNKFACT.VQA \
	NUKESTOK.VQA \
	ONTHPRWL.VQA \
	PERISCOP.VQA \
	PROLOG.VQA \
	RADRRAID.VQA \
	REDINTRO.VQA \
	SEARCH.VQA \
	SFROZEN.VQA \
	SITDUCK.VQA \
	SLNTSRVC.VQA \
	SNOWBOMB.VQA \
	SNSTRAFE.VQA \
	SOVBATL.VQA \
	SOVCEMET.VQA \
	SOVFINAL.VQA \
	SOVIET1.VQA \
	SOVIET10.VQA \
	SOVIET11.VQA \
	SOVIET12.VQA \
	SOVIET13.VQA \
	SOVIET14.VQA \
	SOVIET2.VQA \
	SOVIET3.VQA \
	SOVIET4.VQA \
	SOVIET5.VQA \
	SOVIET6.VQA \
	SOVIET7.VQA \
	SOVIET8.VQA \
	SOVIET9.VQA \
	SOVMCV.VQA \
	SOVTSTAR.VQA \
	SPOTTER.VQA \
	STRAFE.VQA \
	TAKE_OFF.VQA \
	TESLA.VQA \
	V2ROCKET.VQA \
#	TRAILER.VQA \

ALLIESVQ = \
	SOVIET1.VQA \
	ALLY1.VQA \
	V2ROCKET.VQA \		
	BMAP.VQA \	
	SNSTRAFE.VQA \
	SOVTSTAR.VQA \
	SOVBATL.VQA \
	SOVCEMET.VQA \
	FLARE.VQA \	
	ALLYMORF.VQA \
	SPY.VQA \
	FROZEN.VQA \
	GRVESTNE.VQA \
	CRONFAIL.VQA \
	APCESCPE.VQA \
	EXECUTE.VQA \
	TOOFAR.VQA \
	TRINITY.VQA \
	TESLA.VQA \
	MASASSLT.VQA \
	OVERRUN.VQA \
	PROLOG.VQA \
	REDINTRO.VQA \
	AFTRMATH.VQA \
	PROLOG.VQA \
	SNOWBOMB.VQA \
	LANDING.VQA \
	SFROZEN.VQA \
	ANTEND.VQA \
	ANTINTRO.VQA \
	


# Files required for hires/Win95 version only
#
# This mix file is not cached
#
NOCACHEHIRESFILES= \
	ENGLISH.VQA \
	$(ALLIESVQ:.VQA=.VQP) \
	$(SOVIETVQ:.VQA=.VQP) \
       

LINTOBJECTS1 = $(OBJECTS:,=)
LINTOBJECTS = $(LINTOBJECTS1:.OBJ=.LOB)

# Mixfiles that should reside on the CD-ROM drive.
CD1MIXFILES = \
	CONQUER.MIX \
	EDHI.MIX \
	EDLO.MIX \
	GENERAL.MIX \
	INTERIOR.MIX \
	MOVIES1.MIX \
	SCORES.MIX \
	SNOW.MIX \
	SOUNDS.MIX \
 	RUSSIAN.MIX \
	ALLIES.MIX \
	TEMPERAT.MIX \
	


# Mixfiles that should reside on the hard drive.
LOCALMIXFILES = \
	EDITOR.MIX \
	HIRES.MIX \
	LOCAL.MIX \
	LORES.MIX \
	NCHIRES.MIX \
	SPEECH.MIX \
	

# Mixfiles as they appear on the CD and hard drive.
PACKFILES=	$(.path.cd1)MAIN.MIX  EXPAND2.MIX  $(.path.cd1)tobreaki\REDALERT.MIX


# Ant assets SOME ASSETS ARE HERE FOR OVERRIDING
EXPANDFILES= \
	ANT1.SHP \
	ANT2.SHP \
	ANT3.SHP \
	QUEE.SHP \
	CREDITS.ENG \
	HILL01.TEM \
	ANTBITE.AUD \
	ANTDIE.AUD \
	ANTDIE.SHP \
	LAR1.SHP \
	LAR2.SHP \
	TITLE.PCX \							  
	MISSION.INI \
	BUZZY1.AUD \       
	STAVCMDR.AUD \     
	STAVCRSE.AUD \     
	STAVYES.AUD \      
	STAVMOV.AUD \
	CONQUER.ENG \   
	RAMBO1.AUD \
	RAMBO2.AUD \
	RAMBO3.AUD \
	TITLE.CPS \
	ANTEND.VQP \
	TUTORIAL.INI \
	ANTINTRO.VQP \
	BMAP.VQP \

# Aftermath expansion files
EXPAND2FILES= \
	CARR.SHP \
	CTNK.SHP \
	DTRK.SHP \
	MSUB.SHP \
	QTNK.SHP \
	TTNK.SHP \
	STNK.SHP \
	AFTRMATH.INI \
	ANT1.SHP \
	ANT2.SHP \
	ANT3.SHP \
	ANTBITE.AUD \
	ANTDIE.AUD \
	ANTDIE.SHP \
	BMAP.VQP \
	BUZZY1.AUD \       
	CONQUER.ENG \   
	CREDITS.ENG \
	HILL01.TEM \
	LAR1.SHP \
	LAR2.SHP \
	MISSION.INI \
	MPLAYER.INI \
	QUEE.SHP \
	STAVCMDR.AUD \     
	STAVCRSE.AUD \     
	STAVYES.AUD \      
	STAVMOV.AUD \
	TITLE.PCX \							  
	TITLE.CPS \
	TUTORIAL.INI \



#############################################################
# Rebuilds all the mixfiles.				  
packfiles:	always $(PACKFILES)

always:
	copy f:\projects\c&c0\editor\english\*.mix $(.path.mix) /u


####################################################################
# All mixfiles that exist on the CD-ROM are embedded within this mega-mixfile.
$(.path.cd1)MAIN.MIX: $(CD1MIXFILES)
	UTILS\MIXFILE -k -I$(.path.mix) &&!
	$**
! $(.path.cd1)$&.mix


# All mixfiles that exist in the local directory are embedded within this mega-mixfile.
$(.path.cd1)install\REDALERT.MIX: $(LOCALMIXFILES)
	UTILS\MIXFILE -k  -I$(.path.mix) &&!
	$**
! $(.path.cd1)install\$&.mix


####################################################################
# These are the various sub-mixfiles.
CONQUER.MIX: $(CONQUERFILES) $(CACHEMAP) .\key.ini
	UTILS\MIXFILE -k -h -I$(.path.cps) &&!
	$(CONQUERFILES) $(CACHEMAP)
! $(.path.mix)$&.mix

TEMPERAT.MIX: $(TEMPERATEFILES) .\key.ini
	UTILS\MIXFILE -h -k -I$(.path.cps) &&!
	$(TEMPERATEFILES)
! $(.path.mix)$&.mix

SNOW.MIX: $(SNOWFILES) .\key.ini
	UTILS\MIXFILE -h -k -I$(.path.cps) &&!
	$(SNOWFILES)
! $(.path.mix)$&.mix

INTERIOR.MIX: $(INTERIORFILES) .\key.ini
	UTILS\MIXFILE -h -k -I$(.path.cps) &&!
	$(INTERIORFILES)
! $(.path.mix)$&.mix

GENERAL.MIX: $(GENERALFILES) $(GENERALMAPFILES) $(NETMAPFILES) $(MAPFILES) .\key.ini
	UTILS\MIXFILE -k -I$(.path.cps) -I$(.path.ini) &&!
	$(GENERALFILES) $(GENERALMAPFILES) $(NETMAPFILES) $(MAPFILES)
! $(.path.mix)$&.mix

SCORES.MIX: $(SCOREFILES)
	UTILS\MIXFILE -k -I$(.path.cps) -I$(.path.ini) &&!
	$**
! $(.path.mix)$&.mix

SOUNDS.MIX: $(WAVFILES) $(SFX)
	UTILS\MIXFILE -h -k -EA60=V00 -EA61=V01 -EA62=V02 -EA63=V03 -I$(.path.aud) &&!
	$**
! $(.path.mix)$&.mix

RUSSIAN.MIX: $(RESPONSE1:.AUD=.R00) $(RESPONSE2:.AUD=.R01) $(RESPONSE1:.AUD=.R02) $(RESPONSE2:.AUD=.R03)
	UTILS\MIXFILE -h -k -I$(.path.aud) &&!
	$**
! $(.path.mix)$&.mix

LIMITED.MIX: BLEEP11.AUD
	UTILS\MIXFILE -h -k -I$(.path.aud) &&!
	$**
! $(.path.mix)$&.mix

ALLIES.MIX: $(RESPONSE1:.AUD=.V00) $(RESPONSE2:.AUD=.V01) $(RESPONSE1:.AUD=.V02) $(RESPONSE2:.AUD=.V03)
	UTILS\MIXFILE -h -k -I$(.path.aud) &&!
	$**
! $(.path.mix)$&.mix

MOVIES1.MIX: $(ALLIESVQ)
	UTILS\MIXFILE -k -I$(.path.vqa) &&!
	$**
! $(.path.mix)$&.mix





NCHIRES.MIX: $(NOCACHEHIRESFILES:.SHP=.HI)
	UTILS\MIXFILE -k -I$(.path.vqp) -I$(.path.cps) &&!
	$(NOCACHEHIRESFILES)
! $(.path.mix)$&.mix

LOCAL.MIX: $(LOCALFILES) .\key.ini
	UTILS\MIXFILE -h -k -E.A6=.AUD -I$(.path.ini) -I$(.path.txt) -I$(.path.cps) &&!
	$(LOCALFILES)
! $(.path.mix)$&.mix

LORES.MIX: $(LOHILORES) .\key.ini
	UTILS\MIXFILE -h -k -E.LOW=.SHP -E.LNT=.FNT -I$(.path.cps) &&!
	$(LOHILORES)
! $(.path.mix)$&.mix

HIRES.MIX: $(HIRESFILES:.SHP=.HI) $(HIHILORES) .\key.ini
	UTILS\MIXFILE -h -k -E.HI=.SHP -E.HNT=.FNT -I$(.path.cps) &&!
	$(HIRESFILES:.SHP=.HI) $(HIHILORES)
! $(.path.mix)$&.mix

SPEECH.MIX: $(SPEECHFILES)
	UTILS\MIXFILE -k -I$(.path.aud) &&!
	$**
! $(.path.mix)$&.mix


EXPAND.MIX: $(EXPANDFILES)			   
	UTILS\MIXFILE -k  -I$(.path.mix)  &&!
	$**
! $(.path.mix)$&.mix

EXPAND2.MIX: $(EXPAND2FILES)			   
	UTILS\MIXFILE -k  -I$(.path.mix)  &&!
	$**
! $(.path.mix)$&.mix

#############################################################
# Special rule to create the mouse shape (which must be a shape file)
mouse.hi:	$(.path.anm)hires\mouse.anm
	-utils\makeshps $(.path.lbm)palettes\temperat.lbm &&!
 &$(.path.anm)hires\mouse.anm;
 end;
! $(.path.hi)$&.hi $(SHAPEBUFFSIZE)

# Special rule to create the mouse shape (which must be a shape file)
mouse.low:	$(.path.anm)lores\mouse.anm
	-utils\makeshps $(.path.lbm)palettes\temperat.lbm &&!
 &$(.path.anm)lores\mouse.anm;
 end;
! $(.path.low)$&.low $(SHAPEBUFFSIZE)


#############################################################
# Special build rule for radar animations so that they won't.
#
NATORADR.HI: $(.path.anm)hires\NATORADR.ANM
	utils\newkeyf $** $(.path.hi)$&.hi -l -k

USSRRADR.HI: $(.path.anm)hires\USSRRADR.ANM
	utils\newkeyf $** $(.path.hi)$&.hi -l -k

NATORADR.LOW: $(.path.anm)lores\NATORADR.ANM
	utils\newkeyf $** $(.path.low)$&.low -l -k

USSRRADR.LOW: $(.path.anm)lores\USSRRADR.ANM
	utils\newkeyf $** $(.path.low)$&.low -l -k


#############################################################
# Debug text file creation.
debug.eng:	debug.txt
	utils\textmake -b1000 eng\$&.txt $(.path.eng)$&.eng $&.h


