/*
**	Command & Conquer Red Alert(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _MPGSETTINGS_H_
#define _MPGSETTINGS_H_

#include "function.h"

#ifdef DVD
#include "mci.h"
#include "rawfile.h"

class MPGSettings
	{
	public:
		MPGSettings(const char* deviceName);
		MPGSettings(FileClass& file);
		virtual ~MPGSettings(void);

		void SetDeviceName(const char* device);
		const char* GetDeviceName(void) const
			{return mDeviceName;}
		bool Save(FileClass& file);
		void Dialog(void);

		char* mDeviceName;

		#ifdef MCIMPEG
		MCI mMCI;
		unsigned int mCount;
		MCIDevice* mMCIDevices;
		#endif
	};

#endif // DVD
#endif // _MPGSETTINGS_H_
