/*
**	Command & Conquer Red Alert(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WWTYPES_H
#define WWTYPES_H
/****************************************************************************
*
*        C O N F I D E N T I A L --- W E S T W O O D   S T U D I O S
*
*----------------------------------------------------------------------------
*
* FILENAME
*     wwtypes.h
*
* DESCRIPTION
*     Westwood standard types definitions.
*
* PROGRAMMER
*     Denzil E. Long, Jr.
*      
****************************************************************************/

#define	TRUE  1
#define	FALSE 0

#define	VOID    void
#define	PRIVATE static
#define	PUBLIC

#define	BOOL  short
#define	BYTE  char
#define	UBYTE unsigned char
#define	WORD  signed short
#define	UWORD unsigned short
#define	LONG  signed long
#define	ULONG unsigned long

#endif /* WWTYPES_H */

